Name:           vfrnav
Version:        20120831
Release:        1%{?dist}
Summary:        VFR/IFR Navigation

Group:          Applications/Productivity
License:        GPLv2+
URL:            http://www.baycom.org/~tom/vfrnav
Source0:        http://download.gna.org/vfrnav/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtkmm30-devel
BuildRequires:  libxml++-devel >= 2.14.0
BuildRequires:  sqlite-devel >= 3.0
BuildRequires:  gpsd-devel
BuildRequires:  libsqlite3x-devel
BuildRequires:  gdal-devel
BuildRequires:  gypsy-devel
BuildRequires:  bluez-libs-devel
BuildRequires:  eigen3-devel
BuildRequires:  boost-devel
BuildRequires:  cairomm-devel
BuildRequires:  cairo-devel
BuildRequires:  zfstream-devel
BuildRequires:  gettext
%ifnarch s390 s390x
BuildRequires:  pilot-link-devel
%endif
BuildRequires:  gnome-bluetooth-libs-devel
BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
BuildRequires:  geoclue-devel
BuildRequires:  gsl-devel
BuildRequires:  libftdi-devel
BuildRequires:  libftdi-c++-devel
BuildRequires:  libudev-devel
BuildRequires:  libXScrnSaver-devel
BuildRequires:  evince-devel
BuildRequires:  libusb1-devel
BuildRequires:  libcurl-devel
BuildRequires:  webkitgtk3-devel
BuildRequires:  transfig
BuildRequires:  texlive-latex
BuildRequires:  poppler-utils
BuildRequires:  readline-devel
Requires:       gypsy

%description
This is a navigation application for VFR and IFR flying.

%package utils
Summary:        VFR Navigation Utilities
Group:          Applications/Productivity

Requires:       %{name} = %{version}

%description utils
This package contains utilities for database creation and manipulation
for the VFR navigation application.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

for i in $RPM_BUILD_ROOT/%{_datadir}/applications/*.desktop; do
  grep -v '^\(\(X-\)\|\(Version\)\|\(Encoding\)\)' $i > $i.tmp
  sed -e s,Exec=/usr/bin/,Exec=, < $i.tmp > $i
  rm -f $i.tmp
done

for i in $RPM_BUILD_ROOT/%{_datadir}/applications/*.desktop; do
  desktop-file-validate $i
done

# convert icons to sane dimensions
install -d $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/32x32/apps
install -d $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/48x48/apps
convert -size 32x32 $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/26x26/apps/vfrnav.png $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/32x32/apps/vfrnav.png
convert -size 48x48 $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/40x40/apps/vfrnav.png $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/48x48/apps/vfrnav.png
rm -rf $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/26x26/
rm -rf $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/40x40/

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_datadir}/applications/vfrnav.desktop
%{_datadir}/applications/flightdeck.desktop
%{_datadir}/applications/vfrairporteditor.desktop
%{_datadir}/applications/vfrairspaceeditor.desktop
%{_datadir}/applications/vfrnavaideditor.desktop
%{_datadir}/applications/vfrtrackeditor.desktop
%{_datadir}/applications/vfrwaypointeditor.desktop
%{_datadir}/applications/acftperf.desktop
%{_datadir}/icons/hicolor/32x32/apps/vfrnav.png
%{_datadir}/icons/hicolor/48x48/apps/vfrnav.png
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/vfrnav.png
%{_datadir}/%{name}/bluetooth.png
%{_datadir}/%{name}/BlankMap-World_gray.svg
%{_datadir}/%{name}/dbeditor.ui
%{_datadir}/%{name}/navigate.ui
%{_datadir}/%{name}/routeedit.ui
%{_datadir}/%{name}/prefs.ui
%{_datadir}/%{name}/acftperformance.ui
%{_datadir}/%{name}/cfmuvalidate.ui
%{_bindir}/vfrnav
%{_bindir}/vfrnavaideditor
%{_bindir}/vfrwaypointeditor
%{_bindir}/vfrairwayeditor
%{_bindir}/vfrairporteditor
%{_bindir}/vfrairspaceeditor
%{_bindir}/vfrtrackeditor
%{_bindir}/vfrnavdb2xml
%{_bindir}/vfrnavfplan
%{_bindir}/vfrnavxml2db
%{_bindir}/acftperf
%{_bindir}/flightdeck
%{_bindir}/cfmuvalidate
%{_bindir}/cfmuautoroute
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/cfmuvalidateserver
%{_datadir}/%{name}/flightdeck.ui
%{_datadir}/%{name}/flightdeck/hbpbx.cfg
%{_datadir}/%{name}/flightdeck/sim.cfg

%files utils
%defattr(-,root,root,-)
%{_bindir}/vfrdbdafif
%{_bindir}/vfrdbmapelementsdb
%{_bindir}/vfrdboptimizelabelplacement
%{_bindir}/vfrdbrebuildspatialindex
%{_bindir}/vfrdbsrtm30db
%{_bindir}/vfrdbsrtmwatermask
%{_bindir}/vfrdbsettopo30
%{_bindir}/vfrdbtopo30zerotiles
%{_bindir}/vfrdbupdategndelev
%{_bindir}/vfrdbcamelcase
%{_bindir}/vfrnavwmmconv
%{_bindir}/vfrnavwmmtest
%{_bindir}/vfrdbxplane
%{_bindir}/vfrdbcsv
%{_bindir}/vfrdbxplaneexport
%{_bindir}/flightdeckftdieeprog
%{_bindir}/vfrdbairwaydump
%{_bindir}/vfrdbeadimport
%{_bindir}/vfrdbopenair
%{_bindir}/vfrdbfasimport

%changelog
* Fri Aug 31 2012 Thomas Sailer <t.sailer@alumni.ethz.ch> - 20120831-1
- update to 20120831

* Thu Aug 23 2012 Dan Horák <dan[at]danny.cz> - 20120815-2
- add explicit BR: readline-devel so we don't depend on pilot-link-devel to bring it in

* Wed Aug 15 2012 Thomas Sailer <t.sailer@alumni.ethz.ch> - 20120815-1
- update to 20120815; rebuild for dependencies

* Fri Aug 10 2012 Thomas Sailer <t.sailer@alumni.ethz.ch> - 20120810-1
- update to 20120810

* Wed Aug  1 2012 Thomas Sailer <t.sailer@alumni.ethz.ch> - 20120801-1
- update to 20120801, now with CFMU/IFPS routing and validation tools

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jul  6 2012 Thomas Sailer <t.sailer@alumni.ethz.ch> - 0.9-2
- gtkmm3 size allocation fixes

* Thu Jul  5 2012 Thomas Sailer <t.sailer@alumni.ethz.ch> - 0.9-1
- update to 0.9

* Fri Jun 22 2012 Thomas Sailer <t.sailer@alumni.ethz.ch> - 0.8-1
- update to 0.8 (flightdeck application, gtkmm30)

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-2
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Thomas Sailer <t.sailer@alumni.ethz.ch> - 0.7-1
- update to 0.7

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov 30 2011 Dan Horák <dan[at]danny.cz> - 0.6-3
- no pilot-link on s390(x)

* Wed Aug 24 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> - 0.6-2
- rebuild for new gpsd

* Sun Feb 13 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> - 0.6-1
- update to 0.6

* Sat Nov 20 2010 Thomas Sailer <t.sailer@alumni.ethz.ch> - 0.5-1
- update to 0.5

* Fri Jul  9 2010 Thomas Sailer <t.sailer@alumni.ethz.ch> - 0.4-2
- rebuilt

* Sat Jan 13 2010 Thomas Sailer <t.sailer@alumni.ethz.ch> - 0.4-1
- update to 0.4

* Sun Sep 20 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 0.3-10
- fix for BZ#523309

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 29 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 0.3-8
- convert icons to a standard size
- vfrnav-utils now requires vfrnav

* Thu May 28 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 0.3-7
- fix BRs

* Sun May 10 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 0.3-6
- also remove Encoding tags from desktop files

* Sun May 10 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 0.3-5
- remove X- tags from desktop file
- remove absolute paths from desktop file

* Thu Apr 30 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 0.3-4
- change second group too
- handle icon cache
- validate desktop files

* Thu Apr 30 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 0.3-3
- change group
- drop unneeded R/BR
- implement Igor Juriskovic's suggestions

* Thu Apr 30 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 0.3-2
- cleanups for review submission

* Wed Mar 25 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 0.3-1
- move to gypsy, add airways

* Sat Feb  2 2008 Thomas Sailer <t.sailer@alumni.ethz.ch> - 0.1-2
- move utilities into their own subpackage

* Sat Aug 25 2007 Thomas Sailer <t.sailer@alumni.ethz.ch> - 0.1-1
- initial spec file

